Skip to content

addChangeNoticeAffectedItem

DESTRUCTIVE

Add change notice affected item.

POST /api/v1/items/addChangeNoticeAffectedItem
curl -X POST '<your-host>/api/v1/items/addChangeNoticeAffectedItem' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "changeNoticeId": "string",
    "changeType": "Version"
  }'
Response
{
  "id": "string",
  "draftMakeMethodId": "string"
}

Parameters

ParameterType
"Version""Revision""Replacement Part""New Part"
"Part""Tool"
"Buy""Make""Buy and Make"
"Inventory""Non-Inventory""Serial""Batch"

Input schema

schema
{
  "type": "object",
  "properties": {
    "changeNoticeId": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "changeType": {
      "type": "string",
      "enum": [
        "Version",
        "Revision",
        "Replacement Part",
        "New Part"
      ]
    },
    "revision": {
      "type": "string"
    },
    "newPart": {
      "type": "object",
      "properties": {
        "readableId": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "itemType": {
          "type": "string",
          "enum": [
            "Part",
            "Tool"
          ]
        },
        "replenishmentSystem": {
          "type": "string",
          "enum": [
            "Buy",
            "Make",
            "Buy and Make"
          ]
        },
        "itemTrackingType": {
          "type": "string",
          "enum": [
            "Inventory",
            "Non-Inventory",
            "Serial",
            "Batch"
          ]
        }
      },
      "required": [
        "readableId",
        "name",
        "itemType",
        "replenishmentSystem"
      ]
    }
  },
  "required": [
    "changeNoticeId",
    "changeType"
  ]
}